Page MenuHomePhabricator

shelve: directly handle the initial parent alignment
ClosedPublic

Authored by lothiraldan on Jun 5 2018, 6:58 AM.

Details

Summary

Shelve is currently sub-contracting some of its work to the rebase extension.
In order to make shelve more independent and flexible we would like shelve to
handle the parent alignment directly.

After this change, we no longer need to use rebase in shelve.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

lothiraldan created this revision.Jun 5 2018, 6:58 AM
pulkit accepted this revision.Jun 29 2018, 3:09 PM

I am very much happy with the cleanup but I don't feel confident enough to push this. Queued D3692.

lothiraldan updated this revision to Diff 9408.Jul 2 2018, 4:12 PM
durin42 accepted this revision.Jul 9 2018, 4:32 PM
This revision is now accepted and ready to land.Jul 9 2018, 4:32 PM
This revision was automatically updated to reflect the committed changes.